import constants
import serialize
import requests
from bs4 import BeautifulSoup

def find_comment():
    soup = BeautifulSoup(requests.get(constants.URL).text, features="lxml")
    for s in soup.find_all(class_="comment"):
        if str(s.strong) != f'<strong>{constants.NAME} <span class="verified"></span></strong>':
            continue
        try:
            serialize.deserialize(s.p.text)
        except ValueError:
            continue
        return s

def load():
    if comment := find_comment():
        return serialize.deserialize(comment.p.text)

def dump(data):
    c = {"type": "comment", "parent": constants.ID, "persona": "-1", "content": serialize.serialize(data)}
    if comment := find_comment():
        c["edit"] = comment.a["href"][2:]
    requests.post(constants.URL, cookies={"session": constants.COOKIE}, data=c)
